### Method

# Gimp ValueArray ref

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_ref (
      GimpValueArray* value_array
    )

#### Description [src]

Adds a reference to a `GimpValueArray`.

Available since: | 2.10

#### Return value

Returns: | `GimpValueArray`
| The same `value_array`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.